TJT Time Now
TJT is the abbreviation of Tajikistan Time. Time zone offset of TJT is UTC+05. Tajikistan Time is 5 hours ahead from the UTC universal time. TJT current date is 1st Sunday November 2026. Current time in TJT (TJT).
TJT Time
18:25:20
1 November 2026 Sunday
TJT is the time standard known as Tajikistan Time. Tajikistan Time is 5 hours ahead of the UTC universal time, and it is observed in the country of Tajikistan, including the cities of Dushanbe, Khujand, Kulob, and others. This time standard is the same as the one observed in the countries of Uzbekistan, Turkmenistan, and other neighboring nations.
What time is it in Tajikistan Time now? It is 18:25:20 right now.
Tajikistan Time Date and Time Now in Various Formats
| Date Time Format | TJT Date Time Now |
|---|---|
| UTC | 2026-11-01T18:25:20Z |
| ISO-8601 | 2026-11-01T18:25:20+0000 |
| RFC 2822 | Sun, 01 Nov 2026 18:25:20 +0000 |
| RFC 850 | Sunday, 01-Nov-26 18:25:20 UTC |
| RFC 1036 | Sun, 01 Nov 26 18:25:20 +0000 |
| RFC 1123 | Sun, 01 Nov 2026 18:25:20 +0000 |
| RFC 822 | Sun, 01 Nov 26 18:25:20 +0000 |
| RFC 3339 | 2026-11-01T18:25:20+00:00 |
| ATOM | 2026-11-01T18:25:20+00:00 |
| COOKIE | Sunday, 01-Nov-2026 18:25:20 UTC |
| RSS | Sun, 01 Nov 2026 18:25:20 +0000 |
| W3C | 2026-11-01T18:25:20+00:00 |
| Unix Epoch | 1793557520 |
| YYYY-DD-MM HH:MM:SS | 2026-01-11 18:25:20 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-01-11 06:25:20 PM |
| DD-MM-YYYY HH:MM:SS | 01-11-2026 18:25:20 |
| MM-DD-YYYY HH:MM:SS | 11-01-2026 18:25:20 |